from dataclasses import dataclass


@dataclass(frozen=True)
class PostgresConfig:
    dbname: str
    user: str
    password: str
    host: str
    port: int

    @property
    def url(self) -> str:
        return f"postgresql+asyncpg://{self.user}:{self.password}@{self.host}:{self.port}/{self.dbname}"
